# Uses of Enum Class
java.nio.file.attribute.AclEntryFlag

Packages that use AclEntryFlag
Package
Description
java.nio.file.attribute
Interfaces and classes providing access to file and file system attributes.

## Uses of AclEntryFlag in java.nio.file.attribute

Methods in java.nio.file.attribute that return AclEntryFlag
Modifier and Type
Method
Description
`static AclEntryFlag`
AclEntryFlag.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static AclEntryFlag[]`
AclEntryFlag.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.nio.file.attribute that return types with arguments of type AclEntryFlag
Modifier and Type
Method
Description
`Set<AclEntryFlag>`
AclEntry.`flags()`
Returns a copy of the flags component.
Methods in java.nio.file.attribute with parameters of type AclEntryFlag
Modifier and Type
Method
Description
`AclEntry.Builder`
AclEntry.Builder.`setFlags​(AclEntryFlag... flags)`
Sets the flags component of this builder.
Method parameters in java.nio.file.attribute with type arguments of type AclEntryFlag
Modifier and Type
Method
Description
`AclEntry.Builder`
AclEntry.Builder.`setFlags​(Set<AclEntryFlag> flags)`
Sets the flags component of this builder.